Skip to main content
`Ctrl`+`K`

# SNESFASCycleGetRestriction

Gets the restriction on a level

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASCycleGetRestriction(SNES snes, Mat *mat)

Logically Collective

## Input Parameter

- snes - the `SNESFAS` obtained with `SNESFASGetCycleSNES()`

## Output Parameter

- mat - the restriction operator on this level

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESFAS`, `SNESFASGetRestriction()`, `SNESFASCycleGetInterpolation()`

## Level

advanced

## Location

src/snes/impls/fas/fasfunc.c

Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages